<html>
<head>
<title>Ogre::ZipDataStream Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ZipDataStream.html">ZipDataStream</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ZipDataStream Class Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ZipDataStream" --><!-- doxytag: inherits="Ogre::DataStream" -->
<p>Specialisation of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> to handle streaming data from zip archives.  
 <a href="classOgre_1_1ZipDataStream.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreZip_8h_source.html">OgreZip.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ZipDataStream:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ZipDataStream__inherit__graph.gif" border="0" usemap="#Ogre_1_1ZipDataStream_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ZipDataStream_inherit__map" id="Ogre_1_1ZipDataStream_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data." alt="" coords="15,83,143,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="32,5,125,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ZipDataStream-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08c">AccessMode</a> { <a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08cac5f9d1587e9cc7dd1577af114dcba50e">READ</a> =  1, 
<a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08ca8e221ca82d405d21d275997fbd3eb900">WRITE</a> =  2
 }</td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#a469d266bf656ebc0bbc63f006a001844">ZipDataStream</a> (<a class="el" href="OgreZip_8h.html#a83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a> *zzipFile, size_t uncompressedSize)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unnamed constructor.  <a href="#a469d266bf656ebc0bbc63f006a001844"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#aa59e9bbc5a05c5560191e721cace8f09">ZipDataStream</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="OgreZip_8h.html#a83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a> *zzipFile, size_t uncompressedSize)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for creating named streams.  <a href="#aa59e9bbc5a05c5560191e721cace8f09"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#a9b6696452d39c4e8f68fb24ca2986da8">~ZipDataStream</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#a4f083e5e4f9f19cb11b344da0ae2e139">read</a> (void *buf, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#ab4a403665e3b0aff723fa4f2e67af127">write</a> (void *buf, size_t count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#ad57ff5dca038c2adf82088dd101d966c">skip</a> (long count)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#a9fbbfdb5e1485a4879ba52e3cffc3807">seek</a> (size_t pos)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#a53e6893b5e92d261ad4be0f526888f38">tell</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#a36245b12aaada8ee44abe53b418cc99c">eof</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#a1b72ff9f0c0ffccbfc3d0afbab34bba6">close</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a7ebd86825f86b7114024d168e9751395">getName</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the name of the stream, if it has one.  <a href="#a7ebd86825f86b7114024d168e9751395"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a5c83611aecda5358beb6c6e035f33b51">getAccessMode</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the access mode of the stream.  <a href="#a5c83611aecda5358beb6c6e035f33b51"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a4779f7f57ff90ce12882c7c891651a71">isReadable</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reports whether this stream is readable.  <a href="#a4779f7f57ff90ce12882c7c891651a71"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a91509b9cec70111c65570883810224be">isWriteable</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reports whether this stream is writeable.  <a href="#a91509b9cec70111c65570883810224be"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1DataStream.html">DataStream</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a49bfe5809b50735b5ce49e7df9615e5a">operator&gt;&gt;</a> (T &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a68cde598ee9c2694e16931134fe5c136">write</a> (const void *buf, size_t count)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Write the requisite number of bytes from the stream (only applicable to streams that are not read-only)  <a href="#a68cde598ee9c2694e16931134fe5c136"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#aedc53a8cff5334563283a4557d423b25">readLine</a> (char *buf, size_t maxCount, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;delim=&quot;\n&quot;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a single line from the stream.  <a href="#aedc53a8cff5334563283a4557d423b25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a86d2ff5dff63ce4b689dd1d486d3243f">getLine</a> (bool trimAfter=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a String containing the next line of data, optionally trimmed for whitespace.  <a href="#a86d2ff5dff63ce4b689dd1d486d3243f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a022f49c9313deffc5da4383d59d1f32d">getAsString</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a String containing the entire stream.  <a href="#a022f49c9313deffc5da4383d59d1f32d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a32966ad5a814f8c72fe0affbefcc6f55">skipLine</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;delim=&quot;\n&quot;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Skip a single line from the stream.  <a href="#a32966ad5a814f8c72fe0affbefcc6f55"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a1d4e9568e53a8071ea9b29a015425aef">size</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the total size of the data to be read from the stream, or 0 if this is indeterminate for this stream.  <a href="#a1d4e9568e53a8071ea9b29a015425aef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgreZip_8h.html#a83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#a0114a4510ef5b5f5fc2e4767265c54e1">mZzipFile</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StaticCache.html">StaticCache</a><br class="typebreak"/>
&lt; 2 *<a class="el" href="OgreDataStream_8h.html#a71a2d398037a64aa241ef5c0be350430">OGRE_STREAM_TEMP_SIZE</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html#ade3e64c8373a3e5daf651674c9142114">mCache</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">We need caching because sometimes serializers step back in data stream and zziplib behaves slow.  <a href="#ade3e64c8373a3e5daf651674c9142114"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a371660702e913ca2799f0478a2154af7">mName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The name (e.g. resource name) that can be used to identify the source fot his data (optional)  <a href="#a371660702e913ca2799f0478a2154af7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a260d2aa9971abc5b8412cff1a01d6382">mSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Size of the data in the stream (may be 0 if size cannot be determined)  <a href="#a260d2aa9971abc5b8412cff1a01d6382"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DataStream.html#a8eab8765fb7120bb1e519ff8d2460b13">mAccess</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">What type of access is allowed (AccessMode)  <a href="#a8eab8765fb7120bb1e519ff8d2460b13"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialisation of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading and writing of data.">DataStream</a> to handle streaming data from zip archives. </p>

<p>Definition at line <a class="el" href="OgreZip_8h_source.html#l00161">161</a> of file <a class="el" href="OgreZip_8h_source.html">OgreZip.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a81856582e643b4a560e6c3d3ad05e08c"></a><!-- doxytag: member="Ogre::ZipDataStream::AccessMode" ref="a81856582e643b4a560e6c3d3ad05e08c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1DataStream.html#a81856582e643b4a560e6c3d3ad05e08c">Ogre::DataStream::AccessMode</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a81856582e643b4a560e6c3d3ad05e08cac5f9d1587e9cc7dd1577af114dcba50e"></a><!-- doxytag: member="READ" ref="a81856582e643b4a560e6c3d3ad05e08cac5f9d1587e9cc7dd1577af114dcba50e" args="" -->READ</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a81856582e643b4a560e6c3d3ad05e08ca8e221ca82d405d21d275997fbd3eb900"></a><!-- doxytag: member="WRITE" ref="a81856582e643b4a560e6c3d3ad05e08ca8e221ca82d405d21d275997fbd3eb900" args="" -->WRITE</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00178">178</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a469d266bf656ebc0bbc63f006a001844"></a><!-- doxytag: member="Ogre::ZipDataStream::ZipDataStream" ref="a469d266bf656ebc0bbc63f006a001844" args="(ZZIP_FILE *zzipFile, size_t uncompressedSize)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ZipDataStream.html#a469d266bf656ebc0bbc63f006a001844">Ogre::ZipDataStream::ZipDataStream</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="OgreZip_8h.html#a83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a> *&#160;</td>
          <td class="paramname"><em>zzipFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>uncompressedSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unnamed constructor. </p>

</div>
</div>
<a class="anchor" id="aa59e9bbc5a05c5560191e721cace8f09"></a><!-- doxytag: member="Ogre::ZipDataStream::ZipDataStream" ref="aa59e9bbc5a05c5560191e721cace8f09" args="(const String &amp;name, ZZIP_FILE *zzipFile, size_t uncompressedSize)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ZipDataStream.html#a469d266bf656ebc0bbc63f006a001844">Ogre::ZipDataStream::ZipDataStream</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="OgreZip_8h.html#a83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a> *&#160;</td>
          <td class="paramname"><em>zzipFile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>uncompressedSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor for creating named streams. </p>

</div>
</div>
<a class="anchor" id="a9b6696452d39c4e8f68fb24ca2986da8"></a><!-- doxytag: member="Ogre::ZipDataStream::~ZipDataStream" ref="a9b6696452d39c4e8f68fb24ca2986da8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ZipDataStream.html#a9b6696452d39c4e8f68fb24ca2986da8">Ogre::ZipDataStream::~ZipDataStream</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a1b72ff9f0c0ffccbfc3d0afbab34bba6"></a><!-- doxytag: member="Ogre::ZipDataStream::close" ref="a1b72ff9f0c0ffccbfc3d0afbab34bba6" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ZipDataStream.html#a1b72ff9f0c0ffccbfc3d0afbab34bba6">Ogre::ZipDataStream::close</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Close the stream; this makes further operations invalid. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#ace95bf415101e195a0c79838fdcb7e7d">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a36245b12aaada8ee44abe53b418cc99c"></a><!-- doxytag: member="Ogre::ZipDataStream::eof" ref="a36245b12aaada8ee44abe53b418cc99c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ZipDataStream.html#a36245b12aaada8ee44abe53b418cc99c">Ogre::ZipDataStream::eof</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Returns true if the stream has reached the end. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#a81d740638618913333324663b2edb519">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a5c83611aecda5358beb6c6e035f33b51"></a><!-- doxytag: member="Ogre::ZipDataStream::getAccessMode" ref="a5c83611aecda5358beb6c6e035f33b51" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1DataStream.html#a5c83611aecda5358beb6c6e035f33b51">Ogre::DataStream::getAccessMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the access mode of the stream. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00201">201</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a022f49c9313deffc5da4383d59d1f32d"></a><!-- doxytag: member="Ogre::ZipDataStream::getAsString" ref="a022f49c9313deffc5da4383d59d1f32d" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DataStream.html#a022f49c9313deffc5da4383d59d1f32d">Ogre::DataStream::getAsString</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a String containing the entire stream. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is a convenience method for text streams only, allowing you to retrieve a String object containing all the data in the stream. </dd></dl>

</div>
</div>
<a class="anchor" id="a86d2ff5dff63ce4b689dd1d486d3243f"></a><!-- doxytag: member="Ogre::ZipDataStream::getLine" ref="a86d2ff5dff63ce4b689dd1d486d3243f" args="(bool trimAfter=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DataStream.html#a86d2ff5dff63ce4b689dd1d486d3243f">Ogre::DataStream::getLine</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>trimAfter</em> = <code>true</code></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a String containing the next line of data, optionally trimmed for whitespace. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is a convenience method for text streams only, allowing you to retrieve a String object containing the next line of data. The data is read up to the next newline character and the result trimmed if required. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>If you used this function, you <b>must</b> open the stream in <b>binary mode</b>, otherwise, it'll produce unexpected results. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">trimAfter</td><td>If true, the line is trimmed for whitespace (as in String.trim(true,true)) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7ebd86825f86b7114024d168e9751395"></a><!-- doxytag: member="Ogre::ZipDataStream::getName" ref="a7ebd86825f86b7114024d168e9751395" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1DataStream.html#a7ebd86825f86b7114024d168e9751395">Ogre::DataStream::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the name of the stream, if it has one. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00199">199</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4779f7f57ff90ce12882c7c891651a71"></a><!-- doxytag: member="Ogre::ZipDataStream::isReadable" ref="a4779f7f57ff90ce12882c7c891651a71" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1DataStream.html#a4779f7f57ff90ce12882c7c891651a71">Ogre::DataStream::isReadable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reports whether this stream is readable. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00203">203</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a91509b9cec70111c65570883810224be"></a><!-- doxytag: member="Ogre::ZipDataStream::isWriteable" ref="a91509b9cec70111c65570883810224be" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1DataStream.html#a91509b9cec70111c65570883810224be">Ogre::DataStream::isWriteable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reports whether this stream is writeable. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00205">205</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::ZipDataStream::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::ZipDataStream::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::ZipDataStream::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::ZipDataStream::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::ZipDataStream::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::ZipDataStream::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::ZipDataStream::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::ZipDataStream::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::ZipDataStream::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::ZipDataStream::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a49bfe5809b50735b5ce49e7df9615e5a"></a><!-- doxytag: member="Ogre::ZipDataStream::operator&gt;&gt;" ref="a49bfe5809b50735b5ce49e7df9615e5a" args="(T &amp;val)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1DataStream.html">DataStream</a>&amp; Ogre::DataStream::operator&gt;&gt; </td>
          <td>(</td>
          <td class="paramtype">T &amp;&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a4f083e5e4f9f19cb11b344da0ae2e139"></a><!-- doxytag: member="Ogre::ZipDataStream::read" ref="a4f083e5e4f9f19cb11b344da0ae2e139" args="(void *buf, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ZipDataStream.html#a4f083e5e4f9f19cb11b344da0ae2e139">Ogre::ZipDataStream::read</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Read the requisite number of bytes from the stream, stopping at the end of the file. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>Reference to a buffer pointer </td></tr>
    <tr><td class="paramname">count</td><td>Number of bytes to read </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes read </dd></dl>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#aebedb14c79369be5b8750d834b128b9b">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="aedc53a8cff5334563283a4557d423b25"></a><!-- doxytag: member="Ogre::ZipDataStream::readLine" ref="aedc53a8cff5334563283a4557d423b25" args="(char *buf, size_t maxCount, const String &amp;delim=&quot;\n&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="classOgre_1_1DataStream.html#aedc53a8cff5334563283a4557d423b25">Ogre::DataStream::readLine</a> </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>maxCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>delim</em> = <code>&quot;\n&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a single line from the stream. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The delimiter character is not included in the data returned, and it is skipped over so the next read will occur after it. The buffer contents will include a terminating character. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>If you used this function, you <b>must</b> open the stream in <b>binary mode</b>, otherwise, it'll produce unexpected results. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>Reference to a buffer pointer </td></tr>
    <tr><td class="paramname">maxCount</td><td>The maximum length of data to be read, excluding the terminating character </td></tr>
    <tr><td class="paramname">delim</td><td>The delimiter to stop at </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes read, excluding the terminating character </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1FileStreamDataStream.html#af09667bef9ac4b514602baca8d08f007">Ogre::FileStreamDataStream</a>, and <a class="el" href="classOgre_1_1MemoryDataStream.html#a398aa1ba9f58276dc868d2c3968953c4">Ogre::MemoryDataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a9fbbfdb5e1485a4879ba52e3cffc3807"></a><!-- doxytag: member="Ogre::ZipDataStream::seek" ref="a9fbbfdb5e1485a4879ba52e3cffc3807" args="(size_t pos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ZipDataStream.html#a9fbbfdb5e1485a4879ba52e3cffc3807">Ogre::ZipDataStream::seek</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Repositions the read point to a specified byte. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#adc4002e013c279625553ccc3f50ddae1">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a1d4e9568e53a8071ea9b29a015425aef"></a><!-- doxytag: member="Ogre::ZipDataStream::size" ref="a1d4e9568e53a8071ea9b29a015425aef" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1DataStream.html#a1d4e9568e53a8071ea9b29a015425aef">Ogre::DataStream::size</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the total size of the data to be read from the stream, or 0 if this is indeterminate for this stream. </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00296">296</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad57ff5dca038c2adf82088dd101d966c"></a><!-- doxytag: member="Ogre::ZipDataStream::skip" ref="ad57ff5dca038c2adf82088dd101d966c" args="(long count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ZipDataStream.html#ad57ff5dca038c2adf82088dd101d966c">Ogre::ZipDataStream::skip</a> </td>
          <td>(</td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>count</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Skip a defined number of bytes. </p>
<p>This can also be a negative value, in which case the file pointer rewinds a defined number of bytes. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#a776630c409195fdf118a6737571d3d07">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a32966ad5a814f8c72fe0affbefcc6f55"></a><!-- doxytag: member="Ogre::ZipDataStream::skipLine" ref="a32966ad5a814f8c72fe0affbefcc6f55" args="(const String &amp;delim=&quot;\n&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="classOgre_1_1DataStream.html#a32966ad5a814f8c72fe0affbefcc6f55">Ogre::DataStream::skipLine</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>delim</em> = <code>&quot;\n&quot;</code></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Skip a single line from the stream. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>If you used this function, you <b>must</b> open the stream in <b>binary mode</b>, otherwise, it'll produce unexpected results. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">delim</td><td>The delimiter(s) to stop at </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes skipped </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1MemoryDataStream.html#a581ccd32944288808f7602b29a0218e9">Ogre::MemoryDataStream</a>.</p>

</div>
</div>
<a class="anchor" id="a53e6893b5e92d261ad4be0f526888f38"></a><!-- doxytag: member="Ogre::ZipDataStream::tell" ref="a53e6893b5e92d261ad4be0f526888f38" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ZipDataStream.html#a53e6893b5e92d261ad4be0f526888f38">Ogre::ZipDataStream::tell</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Repositions the read point to a specified byte. </p>
 
<p>Implements <a class="el" href="classOgre_1_1DataStream.html#a2d9100f4e9167116fe280a7e7a1b6219">Ogre::DataStream</a>.</p>

</div>
</div>
<a class="anchor" id="ab4a403665e3b0aff723fa4f2e67af127"></a><!-- doxytag: member="Ogre::ZipDataStream::write" ref="ab4a403665e3b0aff723fa4f2e67af127" args="(void *buf, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ZipDataStream.html#ab4a403665e3b0aff723fa4f2e67af127">Ogre::ZipDataStream::write</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Write the requisite number of bytes from the stream (only applicable to streams that are not read-only) </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>Pointer to a buffer containing the bytes to write </td></tr>
    <tr><td class="paramname">count</td><td>Number of bytes to write </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes written </dd></dl>
 
</div>
</div>
<a class="anchor" id="a68cde598ee9c2694e16931134fe5c136"></a><!-- doxytag: member="Ogre::ZipDataStream::write" ref="a68cde598ee9c2694e16931134fe5c136" args="(const void *buf, size_t count)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="classOgre_1_1DataStream.html#a68cde598ee9c2694e16931134fe5c136">Ogre::DataStream::write</a> </td>
          <td>(</td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Write the requisite number of bytes from the stream (only applicable to streams that are not read-only) </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">buf</td><td>Pointer to a buffer containing the bytes to write </td></tr>
    <tr><td class="paramname">count</td><td>Number of bytes to write </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The number of bytes written </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1FileHandleDataStream.html#ad061c86660f6415331df5f8560b46a02">Ogre::FileHandleDataStream</a>, <a class="el" href="classOgre_1_1FileStreamDataStream.html#a7336968b7a08e61d5d7adbd4eb337c48">Ogre::FileStreamDataStream</a>, <a class="el" href="classOgre_1_1MemoryDataStream.html#accd65733ea1317c49c5fdf7263ff4cc7">Ogre::MemoryDataStream</a>, and <a class="el" href="classOgre_1_1DeflateStream.html#aa0006ee4213a6af6e0aae98f59332d1d">Ogre::DeflateStream</a>.</p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00222">222</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8eab8765fb7120bb1e519ff8d2460b13"></a><!-- doxytag: member="Ogre::ZipDataStream::mAccess" ref="a8eab8765fb7120bb1e519ff8d2460b13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1DataStream.html#a8eab8765fb7120bb1e519ff8d2460b13">Ogre::DataStream::mAccess</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>What type of access is allowed (AccessMode) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00189">189</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="ade3e64c8373a3e5daf651674c9142114"></a><!-- doxytag: member="Ogre::ZipDataStream::mCache" ref="ade3e64c8373a3e5daf651674c9142114" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticCache.html">StaticCache</a>&lt;2 * <a class="el" href="OgreDataStream_8h.html#a71a2d398037a64aa241ef5c0be350430">OGRE_STREAM_TEMP_SIZE</a>&gt; <a class="el" href="classOgre_1_1ZipDataStream.html#ade3e64c8373a3e5daf651674c9142114">Ogre::ZipDataStream::mCache</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>We need caching because sometimes serializers step back in data stream and zziplib behaves slow. </p>

<p>Definition at line <a class="el" href="OgreZip_8h_source.html#l00166">166</a> of file <a class="el" href="OgreZip_8h_source.html">OgreZip.h</a>.</p>

</div>
</div>
<a class="anchor" id="a371660702e913ca2799f0478a2154af7"></a><!-- doxytag: member="Ogre::ZipDataStream::mName" ref="a371660702e913ca2799f0478a2154af7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1DataStream.html#a371660702e913ca2799f0478a2154af7">Ogre::DataStream::mName</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The name (e.g. resource name) that can be used to identify the source fot his data (optional) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00185">185</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a260d2aa9971abc5b8412cff1a01d6382"></a><!-- doxytag: member="Ogre::ZipDataStream::mSize" ref="a260d2aa9971abc5b8412cff1a01d6382" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1DataStream.html#a260d2aa9971abc5b8412cff1a01d6382">Ogre::DataStream::mSize</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Size of the data in the stream (may be 0 if size cannot be determined) </p>

<p>Definition at line <a class="el" href="OgreDataStream_8h_source.html#l00187">187</a> of file <a class="el" href="OgreDataStream_8h_source.html">OgreDataStream.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0114a4510ef5b5f5fc2e4767265c54e1"></a><!-- doxytag: member="Ogre::ZipDataStream::mZzipFile" ref="a0114a4510ef5b5f5fc2e4767265c54e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgreZip_8h.html#a83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a>* <a class="el" href="classOgre_1_1ZipDataStream.html#a0114a4510ef5b5f5fc2e4767265c54e1">Ogre::ZipDataStream::mZzipFile</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreZip_8h_source.html#l00164">164</a> of file <a class="el" href="OgreZip_8h_source.html">OgreZip.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreZip_8h_source.html">OgreZip.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
